[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:060404] [update] sane (Re:iscan-1.5.1-5 on Vine-2.6)


シノバーです

On Tue, 13 May 2003 20:26:27 +0900
SAKANE Eisaku <sakane@sci.osaka-cu.ac.jp> wrote:
> 実は,最初は src package を入手して
> $ rpm --rebuild iscan-1.5.1-5.src.rpm
> $ apt-get install sane
> $ rpm -ihv iscan-1.5.1-5.i386.rpm
> のようにインストールしました.設定後,取り込みイメージの表示(プレビュー
> ボタンをクリック)において segmentation fault して動作しませんでした.
> それで,配布されている package をインストールしようとして,libusb が必
> 要であることに気付きました.

たしかに sane-1.0.11-0vl1 はlibusbを要求しているようですが、
VinePlus/2.5or2.6には libusb-0.1.7-0vl1 があるので本来なら
$ apt-get install sane としたときに libusbもインストールされるはずなんですが。
いまやってみるとlibusbは入ってきませんね。おかしいな?

> # ちなみに,これはうちの環境だけかもしれませんが,libusb をリンクした
> # sane をインストールした後,再び iscan を src package から rebuild し
> # てインストールしてみましたが,やはりプレビュー時に segmentation
> # fault しました...

これもよく分かりません。

Vine-2.6の場合libusbがなくても良いはずなので
libusbを使わないようにパッチを当てたものを
sane-1.0.11-0vl2.src.rpm
sane-1.0.11-0vl2.i386.rpm
sane-devel-1.0.11-0vl2.i386.rpm
VinePlus/2.5(2.6) にputしました。

テストお願いします。(手元にテストできるスキャナが無いものですから…。)

-- 
Masaki Shinomiya <shino@pos.to>
http://shino.pos.to/linux/

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: